%bcond_without check

%global goipath         github.com/tonistiigi/go-rosetta
%global commit          9ba854641817e00e333ff4b313e0daa03cafee97

%gometa

%global common_description %{expand:
Go utility to detect Rosetta environment

go-rosetta provides utilities to detect if an application is running as a
Rosetta translated binary, and to determine the native architecture.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Go utility to detect Rosetta environment

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
